options.css 7.2 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458
  1. html {
  2. display: flex;
  3. align-items: center;
  4. justify-content: center;
  5. height: 100vh;
  6. background: none;
  7. }
  8. body {
  9. background: none;
  10. margin: 0;
  11. font-family: "Helvetica Neue", Helvetica, sans-serif;
  12. font-size: 12px;
  13. display: flex;
  14. flex-direction: column;
  15. width: auto;
  16. max-width: 800px;
  17. max-height: calc(100vh - 32px);
  18. border: 1px solid #999;
  19. box-shadow: 0px 5px 15px 3px hsla(0, 0%, 0%, .35);
  20. animation: scalein .25s ease-in-out;
  21. }
  22. body.scaleout {
  23. animation: scaleout .25s ease-in-out;
  24. }
  25. #options {
  26. background: #fff;
  27. display: flex;
  28. flex-direction: column;
  29. overflow: hidden;
  30. }
  31. .options-wrapper {
  32. overflow-y: auto;
  33. }
  34. a {
  35. color: #000;
  36. transition: color .5s;
  37. }
  38. a:hover {
  39. color: #666;
  40. }
  41. a:hover .svg-icon,
  42. .svg-icon:hover {
  43. fill: #000;
  44. }
  45. .svg-inline-wrapper .svg-icon {
  46. pointer-events: none;
  47. }
  48. #options-close-icon .svg-icon {
  49. fill: #666;
  50. transition: fill .5s;
  51. }
  52. #options-close-icon:hover .svg-icon {
  53. fill: #000;
  54. }
  55. #options-close-icon {
  56. display: inline-flex;
  57. cursor: pointer;
  58. position: absolute;
  59. right: 6px;
  60. top: 6px;
  61. }
  62. #options-close-icon .svg-icon {
  63. height: 20px;
  64. width: 20px;
  65. }
  66. #options-title {
  67. font-weight: bold;
  68. background-color: rgb(145, 208, 198);
  69. padding: .75rem 26px .75rem calc(30% + 4px);
  70. font-size: 22px;
  71. letter-spacing: .5px;
  72. position: relative;
  73. min-height: 42px;
  74. box-sizing: border-box;
  75. border-bottom: 1px solid #999;
  76. }
  77. #options-title::before {
  78. content: "";
  79. width: 0;
  80. height: 0;
  81. padding: 0 32px 32px 0;
  82. background: url(/images/icon/32.png);
  83. position: absolute;
  84. left: 26px;
  85. top: 0;
  86. bottom: 0;
  87. margin: auto;
  88. }
  89. .firefox .chromium-only,
  90. .chromium-only.chrome-no-popup-border {
  91. display: none;
  92. }
  93. .block {
  94. display: flex;
  95. align-items: center;
  96. margin: 1em 0;
  97. border-bottom: 1px dotted #ccc;
  98. padding: 0 16px .75em;
  99. position: relative;
  100. }
  101. .options-wrapper .block:last-child {
  102. margin-bottom: 0;
  103. border-bottom: none;
  104. }
  105. .collapsed, .collapsible h1 {
  106. cursor: pointer;
  107. }
  108. .collapsed .items {
  109. display: none;
  110. }
  111. h1 {
  112. min-width: 30%;
  113. width: 30%;
  114. margin: 0;
  115. font-size: 120%;
  116. font-weight: bold;
  117. padding-right: 8px;
  118. box-sizing: border-box;
  119. overflow-wrap: break-word;
  120. }
  121. .items {
  122. min-width: 70%;
  123. width: 70%;
  124. }
  125. label,
  126. .label {
  127. display: flex;
  128. margin: .25ex 0;
  129. align-items: center;
  130. }
  131. .label {
  132. flex-grow: 1;
  133. justify-content: space-between;
  134. }
  135. label > :first-child {
  136. margin-right: 8px;
  137. flex-grow: 1;
  138. transition: text-shadow .1s;
  139. }
  140. label:not([disabled]),
  141. label:not([disabled]) :not([type="number"]) {
  142. cursor: pointer;
  143. }
  144. label:not([disabled]):hover > :first-child {
  145. text-shadow: 0 0 0.01px rgba(0, 0, 0, .25);
  146. }
  147. input[type=number],
  148. input[type="color"],
  149. select,
  150. .onoffswitch {
  151. width: 60px;
  152. box-sizing: border-box;
  153. flex-shrink: 0;
  154. }
  155. select.cloud-name {
  156. width: auto;
  157. }
  158. button {
  159. text-align: center;
  160. }
  161. input[type=number] {
  162. text-align: right;
  163. }
  164. input[type=number]:invalid,
  165. input[type=text]:invalid {
  166. background-color: rgba(255, 0, 0, 0.1);
  167. color: darkred;
  168. }
  169. input[type="color"] {
  170. box-sizing: border-box;
  171. height: 2em;
  172. }
  173. .iconset {
  174. display: flex;
  175. }
  176. .iconset input {
  177. display: block;
  178. }
  179. .iconset input[type="radio"] {
  180. margin: 2px 4px 0 0;
  181. }
  182. #actions {
  183. justify-content: space-around;
  184. align-items: stretch;
  185. flex-wrap: wrap;
  186. padding: .5em 1em 1em;
  187. white-space: nowrap;
  188. background-color: rgba(0, 0, 0, .05);
  189. margin: 0;
  190. border-top: 1px solid #999;
  191. border-bottom: none;
  192. min-height: min-content; /* workaround for old Chrome ~70 bug when the window height is small */
  193. }
  194. #actions button {
  195. width: auto;
  196. margin-top: .5em;
  197. }
  198. #actions button:not(:last-child) {
  199. margin-right: 4px;
  200. }
  201. [data-cmd="check-updates"] button {
  202. position: relative;
  203. }
  204. .update-in-progress [data-cmd="check-updates"] {
  205. opacity: .5;
  206. pointer-events: none;
  207. }
  208. .update-in-progress #update-progress {
  209. position: absolute;
  210. top: 0;
  211. left: 0;
  212. bottom: 0;
  213. background-color: currentColor;
  214. content: "";
  215. opacity: .35;
  216. }
  217. #updates-installed {
  218. position: absolute;
  219. font-size: 85%;
  220. margin-top: 1px;
  221. }
  222. #updates-installed::after {
  223. content: attr(data-value);
  224. margin-left: .5ex;
  225. font-weight: bold;
  226. }
  227. #updates-installed:not([data-value]),
  228. #updates-installed[data-value=""] {
  229. display: none;
  230. }
  231. #advanced.collapsible.collapsed {
  232. height: 30px;
  233. padding: 0;
  234. margin: 0;
  235. justify-content: center;
  236. }
  237. html:not(.firefox):not(.opera) #updates {
  238. margin-bottom: 0;
  239. }
  240. #advanced.collapsible:not(.collapsed) {
  241. margin-bottom: 0;
  242. }
  243. #advanced.collapsible:not(.collapsed) .collapsible-resizer,
  244. #advanced:not(.collapsible) .collapsible-resizer {
  245. padding-right: 8px;
  246. box-sizing: border-box;
  247. min-width: 30%;
  248. width: 30%;
  249. }
  250. #advanced.collapsible h1 {
  251. width: unset;
  252. padding: 0;
  253. color: #333;
  254. transition: color .5s;
  255. display: inline-flex;
  256. align-items: center;
  257. }
  258. #advanced:not(.collapsible) .collapsible-resizer h1 {
  259. width: unset;
  260. padding: 0;
  261. display: inline-flex;
  262. }
  263. #advanced.collapsible:not(.collapsed) h1:hover {
  264. color: #666;
  265. }
  266. #advanced.collapsible.collapsed h1 {
  267. padding: 0;
  268. color: #666;
  269. }
  270. #advanced.collapsible.collapsed:hover h1 {
  271. color: #333;
  272. }
  273. .collapsible-resizer .svg-icon {
  274. fill: #333;
  275. transition: fill .5s;
  276. height: 16px;
  277. width: 16px;
  278. }
  279. #advanced.collapsible.collapsed .collapsible-resizer .svg-icon,
  280. #advanced.collapsible:not(.collapsed) .collapsible-resizer h1:hover .svg-icon {
  281. fill: #666;
  282. }
  283. #advanced.collapsible.collapsed:hover .collapsible-resizer .svg-icon {
  284. fill: #333;
  285. }
  286. #advanced.collapsible h1 .svg-icon {
  287. margin-left: 2px;
  288. }
  289. #advanced.collapsible.collapsed .is-expanded,
  290. #advanced:not(.collapsible) .collapsible-resizer .svg-icon {
  291. display: none;
  292. }
  293. #advanced.collapsible:not(.collapsed) .is-collapsed {
  294. display: none;
  295. }
  296. .svg-inline-wrapper .svg-icon {
  297. width: 16px;
  298. height: 16px;
  299. fill: #666;
  300. vertical-align: sub;
  301. }
  302. .svg-inline-wrapper:hover .svg-icon {
  303. fill: #000;
  304. }
  305. #message-box.note {
  306. align-items: center;
  307. justify-content: center;
  308. white-space: pre-wrap;
  309. }
  310. #message-box.note > div {
  311. max-width: 40em;
  312. top: unset;
  313. right: unset;
  314. position: relative;
  315. }
  316. /* radio group */
  317. .radio-group-item {
  318. display: flex;
  319. align-items: center;
  320. min-height: 1.5em;
  321. }
  322. .radio-group-item > input {
  323. margin: 0 8px 0 0;
  324. flex-grow: 0;
  325. }
  326. .radio-group-label {
  327. display: block;
  328. margin: 0 0 .3em;
  329. }
  330. .input-sm {
  331. width: 3em;
  332. }
  333. /* pixel perfect radio */
  334. input[type="radio"].radio::after {
  335. position: absolute;
  336. top: -1px;
  337. right: -1px;
  338. bottom: -1px;
  339. left: -1px;
  340. height: auto;
  341. width: auto;
  342. transform: scale(0);
  343. }
  344. input[type="radio"].radio:checked::after {
  345. transform: scale(.65);
  346. }
  347. @keyframes fadeinout {
  348. 0% { opacity: 0 }
  349. 10% { opacity: 1 }
  350. 25% { opacity: 1 }
  351. 100% { opacity: 0 }
  352. }
  353. @media (hover: none) {
  354. .expanded-note {
  355. font-size: 90%;
  356. white-space: normal;
  357. color: #666;
  358. margin-top: .5em;
  359. hyphens: auto;
  360. }
  361. }
  362. .sync-status {
  363. width: 0; /* together with flex-grow makes it reuse the current width */
  364. flex-grow: 1;
  365. padding-right: 8px;
  366. box-sizing: border-box;
  367. }
  368. .sync-status::first-letter {
  369. text-transform: uppercase;
  370. }
  371. .sync-options .actions button {
  372. margin-top: .5em;
  373. }
  374. @keyframes scalein {
  375. 0% {
  376. transform: scale3d(.3, .3, .3);
  377. }
  378. 100% {
  379. transform: scale3d(1, 1, 1);
  380. }
  381. }
  382. @keyframes scaleout {
  383. 100% {
  384. transform: scale3d(0, 0, 0);
  385. }
  386. }